#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = OmniNetworking

PROJECTVERSION = 2.8
PROJECT_TYPE = Framework

CLASSES = ONHost-LookupdHack.m ONHost.m ONHostAddress.m ONInterface.m\
          ONInternetSocket.m ONMulticastSocket.m ONPortAddress.m\
          ONServiceEntry.m ONSocket.m ONSocketStream.m ONTCPSocket.m\
          ONUDPSocket.m

HFILES = FrameworkDefines.h OmniNetworking.h ONHost-InternalAPI.h\
         ONHost.h ONHostAddress.h ONInterface.h\
         ONInternetSocket-Private.h ONInternetSocket.h\
         ONMulticastSocket.h ONPortAddress.h ONServiceEntry.h\
         ONSocket.h ONSocketStream.h ONTCPSocket.h ONUDPSocket.h

TOOLS = ONGetHostEntry.tproj

OTHERSRCS = CustomInfo.plist h.template m.template Makefile\
            Makefile.postamble Makefile.preamble OmniSourceLicense.html


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CURRENTLY_ACTIVE_VERSION = YES
DEPLOY_WITH_VERSION_NAME = 1999B
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = framework.make
NEXTSTEP_INSTALLDIR = $(OMNI_FRAMEWORKS)
WINDOWS_INSTALLDIR = $(OMNI_FRAMEWORKS)
PDO_UNIX_INSTALLDIR = $(OMNI_FRAMEWORKS)
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORK_PATHS = -F$(OMNI_FRAMEWORKS)
NEXTSTEP_PB_CFLAGS = -Wall -O2
WINDOWS_PB_CFLAGS = -Wall -O2 -D _NSBUILDING_$(NAME)_DLL
PDO_UNIX_PB_CFLAGS = -Wall -O2
FRAMEWORKS = -framework Foundation -framework OmniBase
PUBLIC_HEADERS = OmniNetworking.h ONHost.h ONHostAddress.h\
                 ONInternetSocket.h ONMulticastSocket.h ONPortAddress.h\
                 ONServiceEntry.h ONSocket.h ONSocketStream.h\
                 ONTCPSocket.h ONUDPSocket.h FrameworkDefines.h\
                 ONInterface.h

PROJECT_HEADERS = FrameworkDefines.h

PRECOMPILED_HEADERS = OmniNetworking.h



NEXTSTEP_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

WINDOWS_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

PDO_UNIX_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies
